org.jbpm.casemgmt.impl.dynamic

## Class HumanTaskSpecification

- java.lang.Object
- - org.jbpm.casemgmt.impl.dynamic.HumanTaskSpecification

- All Implemented Interfaces:
    TaskSpecification

      public class HumanTaskSpecification
      extends Object
      implements TaskSpecification

  Defines human task specification to create new user task in ad hoc (dynamic) process instance Expected parameters are:
  - NodeName - is a mandatory name of the task - accept variable expressions
  - TaskName - is a optional look up name of the task's form - accept variable expressions
  - ActorId - is an optional list of actors to be assigned - accept variable expressions
  - GroupId - is an optional list of groups to be assigned - accept variable expressions
  - Comment - is an optional comment/description of the task - accept variable expressions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HumanTaskSpecification(String taskName, String actorIds, String groupIds, String description, Map<String,Object> parameters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNodeType()` Returns the type of the node that will be added.
    `Map<String,Object>` | `getParameters()` Optional set of parameters to be given to created dynamic task.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HumanTaskSpecification

          public HumanTaskSpecification(String taskName,
                                        String actorIds,
                                        String groupIds,
                                        String description,
                                        Map<String,Object> parameters)

  - ### Method Detail

    - #### getNodeType

          public String getNodeType()

      Description copied from interface: `TaskSpecification`
      Returns the type of the node that will be added. Usually it corresponds to the name used when registering work item handler.
      Specified by:
        `getNodeType` in interface `TaskSpecification`
      Returns:

    - #### getParameters

          public Map<String,Object> getParameters()

      Description copied from interface: `TaskSpecification`
      Optional set of parameters to be given to created dynamic task.
      Specified by:
        `getParameters` in interface `TaskSpecification`
      Returns:

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.